QGIS Application - Bug report #14273

Categorized style : deselecting the NULL category makes all features invisible

2016-02-10 02:46 PM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Symbology

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22267

Description

Let's take a layer with an integer field.

In Properties --> Style | use an expression like myfield % 3 and get categories 0, 1, 2 and NULL.

Apply. All'is ok.

Now uncheck the NULL category in the list. ALL the features become invisible in the map canvas although the other categories are still

checked.

| unconsistently have the same behaviour when only using myfield to categorize the layer but | then need to test check/uncheck the

different categories many times before ending sometimes with this weird behaviour. But not always.

master 7128a35

Associated revisions

Revision 13¢5848e - 2016-02-16 03:19 AM - Nyall Dawson

Fix deselecting null category when categorising using expression
hides all features (fix #14273)

History

#1 - 2016-02-15 01:25 PM - Sebastian Dietrich

Very interesting. There was a similar issue in the rule-based style (#13708). And we have quite the inverse issue for labels (#14147).

How was the behavior in 2.127 If it is a regression it might qualify as a blocker.

#2 - 2016-02-15 01:40 PM - Sebastian Dietrich
- File DeselectNullHidesAll.qgs added

| could reproduce this issue on current master and attached a self-contained test project.

#3 - 2016-02-15 06:20 PM - Nyall Dawson
- Priority changed from Normal to Severe/Regression

#4 - 2016-02-15 06:21 PM - Nyall Dawson
- Status changed from Open to Closed
Fixed in changeset commit:"13c5848e5e06bc413b097583ce34dea59d2fff2d".

Files

DeselectNullHidesAll.ggs 23.2KB 2016-02-15 Sebastian Dietrich
